%define oname	tiled-qt

%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

# don't add provides for plugin .so
%define _exclude_files_from_autoprov	%{_libdir}/%{oname}/plugins/.*\\.so

Name:		tiled
Version:	0.9.1
Release:	%mkrel 2
Summary:	General purpose tile map editor
Group:		Graphics/Editors and Converters
License:	GPLv2+
URL:		http://www.mapeditor.org/
Source0:	http://download.sourceforge.net/tiled/%{oname}-%{version}.tar.gz
BuildRequires:	qt4-devel
Provides:	%{oname} = %{version}-%{release}

%description
Tiled is a general purpose tile map editor.

It's built to be easy to use, yet flexible enough to work
with varying game engines, whether your game is an RPG,
platformer or Breakout clone.

%package -n %{libname}
Summary:	The shared libraries for %{oname}
Group:		System/Libraries
License:	BSD

%description -n %{libname}
This package contains the shared libraries for %{oname}.

#we don't provide a -devel pkg, yet
%if 0
%package -n %{devname}
Summary:	The development files and headers for %{oname}
Group:		Development/Other
License:	BSD
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{oname}.
%endif

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

# Remove copy of zlib
rm -rf src/zlib

%build
%qmake_qt4 PREFIX=%{_prefix} LIBDIR=%{_libdir} RPATH=no
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

#we don't provide a -devel pkg, yet
rm -rf %{buildroot}%{_libdir}/lib%{name}.so

%files
%doc AUTHORS NEWS README.md
%{_bindir}/automappingconverter
%{_bindir}/tiled
%{_bindir}/tmxviewer
%{_bindir}/tmxrasterizer
%{_mandir}/man1/automappingconverter.1.*
%{_mandir}/man1/tiled.1.*
%{_mandir}/man1/tmxrasterizer.1.*
%{_mandir}/man1/tmxviewer.1.*
%{_libdir}/tiled/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/tiled/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

#we don't provide a -devel pkg, yet
%if 0
%files -n %{devname}
%{_libdir}/lib%{name}.so
%endif


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-2.mga4
+ Revision: 531157
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 wally <wally> 0.9.1-1.mga4
+ Revision: 462311
- new version 0.9.1

* Thu May 23 2013 wally <wally> 0.9.0-1.mga4
+ Revision: 424996
- new version 0.9.0
- drop upstreamed rpath patch
- use .desktop file from upstream

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 384576
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Wed Oct 17 2012 wally <wally> 0.8.1-1.mga3
+ Revision: 307741
- import tiled based on .spec from Fedora

